// components/search-filter/index.js
import api from '../../utils/Api.js'

Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    types: [],
    catalogs: [],
    regions: [],
    tags: [],
    filter_idx:0
  },
  /**
   * 组件渲染完后的方法
   */
  ready(){
    api.search.filter().then(res=>{
      this.setData({
        types: res.data.type,
        catalogs: res.data.catalog_id,
        regions: res.data.city,
        tags: res.data.tags
      })
    })
  },

  /**
   * 组件的方法列表
   */
  methods: {
    filterTap: function (event){
      let idx = event.target.dataset.idx;
      if(idx==this.data.filter_idx){
        this.setData({ filter_idx: 0 })
      }else{
        this.setData({ filter_idx: idx })
      }
      if(idx==1){
        
      } else if (idx == 2) {
        
      }
      var myEventDetail = {test:"helloworld"} // detail对象，提供给事件监听函数
      var myEventOption = {} // 触发事件的选项
      this.triggerEvent('change', myEventDetail, myEventOption)
    },
    closeFilter: function(event){
      this.setData({ filter_idx: 0 })
    },
    preventEvent: function (event) {
      
    }
  }
})
